import httpRequest from '@/utils/axios'

// 获取实验试题列表
export function getExperimentQuestionList() {
  return httpRequest.get('/api/lab/v1/student/experiment-question/list')
}

// 学生创建群组页面-获取老师维护的群组
export function getTeacherGroups(params?: { type?: string }) {
  return httpRequest.get('/api/lab/v1/experiment/group/teacher-groups', { params })
}

// 学生创建标签页面-获取老师维护的标签
export function getTeacherTags() {
  return httpRequest.get('/api/lab/v1/experiment/tag/teacher-tags')
}

// 学生创建营销物料页面-获取老师维护的营销物料
export function getTeacherMaterials(params?: { type?: string }) {
  return httpRequest.get('/api/lab/v1/experiment/marketing-ai/teacher-materials', { params })
}
